#pragma once

#include "CoreMinimal.h"
#include "DBDReflectionCaptureSpawnerComponent.h"
#include "UObject/NoExportTypes.h"
#include "DBDBoxReflectionCaptureSpawnerComponent.generated.h"

class UBoxComponent;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class GFXUTILITIES_API UDBDBoxReflectionCaptureSpawnerComponent : public UDBDReflectionCaptureSpawnerComponent
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector InfluenceBox;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float BoxTransitionDistance;

	UPROPERTY(BlueprintReadWrite, Transient, Instanced)
	UBoxComponent* PreviewInfluenceBox;

	UPROPERTY(BlueprintReadWrite, Transient, Instanced)
	UBoxComponent* PreviewCaptureBox;

public:
	UDBDBoxReflectionCaptureSpawnerComponent();
};

FORCEINLINE uint32 GetTypeHash(const UDBDBoxReflectionCaptureSpawnerComponent) { return 0; }
